Update a merchant contract
Merges the fields you send into the contract, and creates the contract when it doesn't exist. The merchant's
credit-card contract switches on one-click and recurring payments for all card payment methods of the merchant.
apiKeyAuthorizationBasic <token>HTTP Basic authentication with an admin API key as the username and an empty password.
merchant_id*stringThe ID of the merchant.
uuidcontract*stringThe contract type, such as credit-card or _main.
application/json- body
The fields of a merchant contract. The credit-card contract switches on one-click and recurring payments for
all card payment methods of the merchant. Every contract also has the common fields.
begin_date?stringStart date of the contract (ISO 8601).
end_date?|End date of the contract (ISO 8601).
funding_delay?integerDays to wait with funding after a sale or capture.
one_click_enabled?booleancredit-card contract: allow one-click card payments, for all card payment methods of the merchant
including Apple Pay and Google Pay. Off by default.
recurring_enabled?booleancredit-card contract: allow recurring card payments, for all card payment methods of the merchant
including Apple Pay and Google Pay. Off by default.
gateway?stringcredit-card contract: the card processor of the merchant, overriding the default card processor of the
platform. Only takes effect when routing per merchant is switched on for your platform.
credit_limit?integer_main contract: credit limit.
The fields of the contract.
application/json- response
The fields of a merchant contract. The credit-card contract switches on one-click and recurring payments for
all card payment methods of the merchant. Every contract also has the common fields.
begin_date?stringStart date of the contract (ISO 8601).
end_date?|End date of the contract (ISO 8601).
funding_delay?integerDays to wait with funding after a sale or capture.
one_click_enabled?booleancredit-card contract: allow one-click card payments, for all card payment methods of the merchant
including Apple Pay and Google Pay. Off by default.
recurring_enabled?booleancredit-card contract: allow recurring card payments, for all card payment methods of the merchant
including Apple Pay and Google Pay. Off by default.
gateway?stringcredit-card contract: the card processor of the merchant, overriding the default card processor of the
platform. Only takes effect when routing per merchant is switched on for your platform.
credit_limit?integer_main contract: credit limit.
curl -X PUT 'https://api.example.com/v1/admin/merchants/497f6eca-6276-4993-bfeb-53cbbbba6f08/contracts/string/' \ --user "$API_KEY:" \ -H 'Content-Type: application/json' \ -d '{ "one_click_enabled": true, "recurring_enabled": true}'{ "one_click_enabled": true, "recurring_enabled": true, "gateway": "string", "credit_limit": 0, "begin_date": "2026-11-01", "end_date": "string", "funding_delay": 0}